document.addEventListener("DOMContentLoaded", () => {
    const textarea = document.getElementById('patterns');
    const status = document.getElementById('status');
  
    chrome.storage.local.get('patterns', (data) => {
        if (data.patterns && data.patterns.length > 0) {
            textarea.value = data.patterns.join('\n');
        } else {
            textarea.value = DEFAULT_PATTERNS.join('\n');
        }
    });
  
    document.getElementById('save').addEventListener('click', () => {
        const patterns = textarea.value.split('\n').filter(Boolean);
        chrome.storage.local.set({ patterns }, () => {
            status.textContent = 'Patterns saved.';
            setTimeout(() => status.textContent = '', 1500);
        });
    });
});
  